OpenNMS API 1.2.9

## org.opennms.netmgt.config.actiond
Class ActiondConfiguration

    java.lang.Object
      org.opennms.netmgt.config.actiond.ActiondConfiguration

All Implemented Interfaces:
  java.io.Serializable

public class ActiondConfiguration
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private boolean` `_has_maxOutstandingActions` keeps track of state for field: _maxOutstandingActions
`private boolean` `_has_maxProcessTime` keeps track of state for field: _maxProcessTime
`private int` `_maxOutstandingActions`
`private long` `_maxProcessTime`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`ActiondConfiguration()`

Method Summary
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`int` `getMaxOutstandingActions()` Returns the value of field 'maxOutstandingActions'.
`long` `getMaxProcessTime()` Returns the value of field 'maxProcessTime'.
`boolean` `hasMaxOutstandingActions()`
`boolean` `hasMaxProcessTime()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`void` `setMaxOutstandingActions(int maxOutstandingActions)` Sets the value of field 'maxOutstandingActions'.
`void` `setMaxProcessTime(long maxProcessTime)` Sets the value of field 'maxProcessTime'.
`static ActiondConfiguration` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _maxOutstandingActions

    private int _maxOutstandingActions

### _has_maxOutstandingActions

    private boolean _has_maxOutstandingActions

  keeps track of state for field: _maxOutstandingActions

### _maxProcessTime

    private long _maxProcessTime

### _has_maxProcessTime

    private boolean _has_maxProcessTime

  keeps track of state for field: _maxProcessTime

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### ActiondConfiguration

    public ActiondConfiguration()

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getMaxOutstandingActions

    public int getMaxOutstandingActions()

  Returns the value of field 'maxOutstandingActions'.

  Returns:
    the value of field 'maxOutstandingActions'.

### getMaxProcessTime

    public long getMaxProcessTime()

  Returns the value of field 'maxProcessTime'.

  Returns:
    the value of field 'maxProcessTime'.

### hasMaxOutstandingActions

    public boolean hasMaxOutstandingActions()

### hasMaxProcessTime

    public boolean hasMaxProcessTime()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### setMaxOutstandingActions

    public void setMaxOutstandingActions(int maxOutstandingActions)

  Sets the value of field 'maxOutstandingActions'.

  Parameters:
    `maxOutstandingActions` - the value of field 'maxOutstandingActions'.

### setMaxProcessTime

    public void setMaxProcessTime(long maxProcessTime)

  Sets the value of field 'maxProcessTime'.

  Parameters:
    `maxProcessTime` - the value of field 'maxProcessTime'.

### unmarshal

    public static ActiondConfiguration unmarshal(java.io.Reader reader)
                                          throws org.exolab.castor.xml.MarshalException,
                                                 org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.